Bug 1002154 - (spatial4j) Review Request: spatial4j - A Geospatial Library for Java
Review Request: spatial4j - A Geospatial Library for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On: 1002151 1002157
Blocks: solr 1051536
  Show dependency treegraph
 
Reported: 2013-08-28 10:16 EDT by gil cattaneo
Modified: 2014-01-31 23:06 EST (History)
2 users (show)

See Also:
Fixed In Version: spatial4j-0.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 23:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-28 10:16:07 EDT
Spec URL: http://gil.fedorapeople.org/spatial4j.spec
SRPM URL: http://gil.fedorapeople.org/spatial4j-0.3-1.fc19.src.rpm
Description:
Spatial4j is a general purpose spatial/geospatial Java library.
It's core capabilities are 3-fold: to provide common geospatially-aware shapes,
to provide distance calculations and other math, and to read and write the
shapes to strings.
Fedora Account System Username: gil
Comment 1 Michal Srb 2013-11-04 09:34:57 EST
I am not doing full review yet, but from quick look at the spec file:

- ASL license text is missing
- "%mvn_file : %{name}" should be moved to %prep section
Comment 4 Michael Simacek 2014-01-23 05:24:23 EST
Latest upstream version is 0.4.
The license issue is already resolved.
%mvn_file belongs to %prep (as already pointed out by Michal)
Comment 5 gil cattaneo 2014-01-23 05:51:57 EST
(In reply to Michael Simacek from comment #4)
> Latest upstream version is 0.4.
Done
> The license issue is already resolved.
Done
> %mvn_file belongs to %prep (as already pointed out by Michal)
This, usuall,y is *only* a suggestion, and i dont agree with this
if i move mvn_file in prep section i haven't artifact installed where i want

Spec URL: http://gil.fedorapeople.org/spatial4j.spec
SRPM URL: http://gil.fedorapeople.org/spatial4j-0.4-1.fc19.src.rpm
Comment 6 Michal Srb 2014-01-23 06:48:54 EST
(In reply to gil cattaneo from comment #5)

> > %mvn_file belongs to %prep (as already pointed out by Michal)
> This, usuall,y is *only* a suggestion, and i dont agree with this
> if i move mvn_file in prep section i haven't artifact installed where i want
> 

Hmm, I think it should work as expected in this case. The JAR should be installed to %{_javadir}/%{name}.jar even if you move the macro to the %prep section. If it doesn't work for you, then it's a bug in javapackages-tools. Please open a bug, I will look into it. Thanks.
Comment 7 Michael Simacek 2014-01-23 07:28:15 EST
You forgot to reupload the specfile
Comment 9 Michael Simacek 2014-01-23 09:01:33 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/msimacek/1002154-spatial4j/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in spatial4j-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spatial4j-0.4-1.fc21.noarch.rpm
          spatial4j-javadoc-0.4-1.fc21.noarch.rpm
          spatial4j-0.4-1.fc21.src.rpm
spatial4j.noarch: W: spelling-error %description -l en_US geospatial -> spatial
spatial4j.noarch: W: spelling-error %description -l en_US geospatially -> spatially
spatial4j.src: W: spelling-error %description -l en_US geospatial -> spatial
spatial4j.src: W: spelling-error %description -l en_US geospatially -> spatially
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint spatial4j-javadoc spatial4j
spatial4j.noarch: W: spelling-error %description -l en_US geospatial -> spatial
spatial4j.noarch: W: spelling-error %description -l en_US geospatially -> spatially
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
spatial4j-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

spatial4j (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.vividsolutions:jts)



Provides
--------
spatial4j-javadoc:
    spatial4j-javadoc

spatial4j:
    mvn(com.spatial4j:spatial4j)
    osgi(com.spatial4j)
    spatial4j



Source checksums
----------------
https://github.com/spatial4j/spatial4j/archive/spatial4j-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 17da6133794188e0d3739f375ff5f99a77285fd92a680a7fa30dc9d307785bb0
  CHECKSUM(SHA256) upstream package : 17da6133794188e0d3739f375ff5f99a77285fd92a680a7fa30dc9d307785bb0


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1002154
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

It looks OK. Just don't forget to enable those tests as soon as you build randomizedtesting (they all pass, don't worry)

Koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6444387
Comment 10 gil cattaneo 2014-01-23 09:11:38 EST
Thanks!

New Package SCM Request
=======================
Package Name: spatial4j
Short Description: A Geospatial Library for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 11 Jon Ciesla 2014-01-23 09:16:26 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-01-23 10:30:14 EST
spatial4j-0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/spatial4j-0.4-1.fc20
Comment 13 Fedora Update System 2014-01-24 02:41:17 EST
spatial4j-0.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-01-31 23:06:20 EST
spatial4j-0.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.